%define	upstream_name	 Crypt-SSLeay
%define upstream_version 0.72

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Support for the https protocol under LWP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.280.205
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::Protocol::https) >= 6.20.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(Test::More) >= 0.190.0
BuildRequires: perl(Try::Tiny) >= 0.190.0
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: perl-URI

%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(DB\\)
%{?perl_default_filter}

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml TODO eg
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.720.0-10.mga6
+ Revision: 1024670
- Rebuild for perl 5.22.2

* Thu Mar 03 2016 umeabot <umeabot> 0.720.0-9.mga6
+ Revision: 983889
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 0.720.0-8.mga6
+ Revision: 957008
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.720.0-7.mga6
+ Revision: 844761
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.720.0-6.mga6
+ Revision: 841124
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.720.0-5.mga5
+ Revision: 738877
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.720.0-4.mga5
+ Revision: 733004
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.720.0-3.mga5
+ Revision: 684067
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.720.0-2.mga5
+ Revision: 630970
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 0.720.0-1.mga5
+ Revision: 620488
- update to 0.72

* Sat Oct 19 2013 umeabot <umeabot> 0.640.0-4.mga4
+ Revision: 524098
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.640.0-3.mga4
+ Revision: 429986
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.640.0-2.mga3
+ Revision: 364969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - remove patch no more needed

* Wed Sep 26 2012 jquelin <jquelin> 0.640.0-1.mga3
+ Revision: 298223
- update to 0.64

* Wed May 30 2012 jquelin <jquelin> 0.580.0-8.mga3
+ Revision: 250427
- rebuild for perl 5.16

* Sat Apr 21 2012 tv <tv> 0.580.0-7.mga2
+ Revision: 232230
- no need to require perl

* Sat Jun 11 2011 sander85 <sander85> 0.580.0-6.mga2
+ Revision: 103885
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.580.0-5.mga1
+ Revision: 30018
- mageia rebuild
- imported package perl-Crypt-SSLeay


* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.580.0-5mdv2011.0
+ Revision: 573805
- update to 0.58

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.570.0-5mdv2011.0
+ Revision: 564392
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.570.0-4mdv2011.0
+ Revision: 555311
- rebuild

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.570.0-3mdv2010.1
+ Revision: 532507
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.570.0-2mdv2010.1
+ Revision: 511614
- rebuilt against openssl-0.9.8m

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.570.0-1mdv2010.0
+ Revision: 406961
- rebuild using %%perl_convert_version

* Thu Apr 09 2009 Thierry Vignaud <tv@mandriva.org> 0.57-4mdv2009.1
+ Revision: 365380
- rediff patch 0
- rebuild to be newer than 2009.0 updates

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.57-3mdv2009.0
+ Revision: 223585
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.57-2mdv2008.1
+ Revision: 151352
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2008.1
+ Revision: 97435
- update to new version 0.57

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-2mdv2008.0
+ Revision: 90052
- rebuild

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdv2008.0
+ Revision: 52487
- update to new version 0.56

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2008.0
+ Revision: 46617
- update to new version 0.55

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 0.54-1mdv2008.0
+ Revision: 19316
- 0.54


* Mon Jan 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.53-1mdv2007.0
+ Revision: 106109
- 0.53

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Crypt-SSLeay

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.51-6mdk
- added P0,P1,P2 from fedora

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-5mdk
- Rebuild for new perl

* Fri Jun 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-4mdk
- Remove unneeded virtual package SSLeay.pm

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.51-3mdk
- rebuild
- Own dir

